=== ff/CMakeLists.txt ===
set(lib formfactor)
set(${lib}_LIBRARY ${lib} PARENT_SCOPE)

file(GLOB src_files *.cpp)
set(api_files
    Box.h
    Face.h
    IBody.h
    Make.h
    Polyhedron.h
    Prism.h
    Topology.h
    )

add_library(${lib} ${src_files})

target_include_directories(${lib}
    PUBLIC
    "$<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}>"
    "$<INSTALL_INTERFACE:include>"
    )
target_include_directories(${lib} PUBLIC "${LibHeinz_INCLUDE_DIR}")

set_target_properties(
    ${lib} PROPERTIES
    OUTPUT_NAME ${lib}
    VERSION ${PROJECT_VERSION})

install(
    TARGETS ${lib}
    EXPORT formfactorTargets
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION lib
    ARCHIVE DESTINATION lib)

install(
    FILES ${api_files}
    DESTINATION include/ff)
