=== debian/changelog ===
libformfactor (0.3.1-1) unstable; urgency=medium

  [ Roland Mas ]
  * Update debian/watch.

  [ Picca Frédéric-Emmanuel ]
  * New upstream version: 0.3.1
  * Trim trailing whitespace.
  * Remove field Section on binary package libformfactor0.3.0 that duplicates
    source.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 03 Aug 2023 11:08:31 +0200

libformfactor (0.3.0-3) unstable; urgency=medium

  * Fix installation paths for *.cmake files.

 -- Roland Mas <lolando@debian.org>  Wed, 26 Jul 2023 12:52:42 +0200

libformfactor (0.3.0-2) unstable; urgency=medium

  * Fix dependency of -dev package.

 -- Roland Mas <lolando@debian.org>  Wed, 26 Jul 2023 01:35:40 +0200

libformfactor (0.3.0-1) unstable; urgency=medium

  * Initial release.

 -- Roland Mas <lolando@debian.org>  Wed, 26 Jul 2023 00:33:15 +0200
