=== debian/control ===
Source: libformfactor
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Roland Mas <lolando@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libheinz-dev,
Standards-Version: 4.6.2
Homepage: https://jugit.fz-juelich.de/mlz/libformfactor
Vcs-Browser: https://salsa.debian.org/science-team/libformfactor
Vcs-Git: https://salsa.debian.org/science-team/libformfactor.git

Package: libformfactor-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libformfactor0.3.0 (= ${binary:Version}),
Description: computation of scattering form factors - development files
 A C++ library for the efficient computation of scattering form factors
 (Fourier shape transforms) of arbitrary polyhedra according to Wuttke
 [J Appl Cryst 54, 580-587 (2021)]


Package: libformfactor0.3.0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C++ library for the efficient computation of scattering form factors
 A C++ library for the efficient computation of scattering form factors
 (Fourier shape transforms) of arbitrary polyhedra according to Wuttke
 [J Appl Cryst 54, 580-587 (2021)]
