=== debian/rules ===
#!/usr/bin/make -f

export CMAKE_OPTIONS := \
  -DCMAKE_PREFIX_PATH=/usr/share/cmake/heinz \
  -DCMAKE_BUILD_TYPE=Release

CONFIG_SWITCHES=-DCMAKE_DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_OPTIONS) $(CONFIG_SWITCHES) -DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
